mia-3dvf2transform(1)

NAME
mia-3dvf2transform - Convert a 3D vectorfield from a 3D transformation.

SYNOPSIS
mia-3dvf2transform -i <in-file> -o <out-file> [options]

DESCRIPTION
mia-3dvf2transform Creates a 3D transformation from a vector field. The input vector field is simply encapsulated into the transformation file format. The boundary conditions and the image interpolator kernel can be set at the command line.

OPTIONS

    -i --in-file=(input, required); io
        input transformation
         For supported file types see PLUGINS:3dvf/io

    -o --out-file=(output, required); io
        output vector field
         For supported file types see PLUGINS:3dtransform/io

    -k --imgkernel=bspline:d=3
        image interpolator kernel which is used when the transformation is applied to an image
         For supported plugins see PLUGINS:1d/splinekernel

    -b --imgboundary=mirror
        Boundary condition applied when the transformation is used to transform an image
         For supported plugins see PLUGINS:1d/splinebc

  Help & Info

    -V --verbose=warning
        verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:

        trace - Function call trace
        debug - Debug output
        info - Low level messages
        message - Normal messages
        warning - Warnings
        fail - Report test failures
        error - Report errors
        fatal - Report only fatal errors

    --copyright
        print copyright information

    -h --help
        print this help

    -? --usage
        print a short help

    --version
        print the version number and exit

  Processing

    --threads=-1
        Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).

PLUGINS: 1d/splinebc

mirror
    Spline interpolation boundary conditions that mirror on the boundary

    (no parameters)

repeat
    Spline interpolation boundary conditions that repeats the value at the boundary

    (no parameters)

zero
    Spline interpolation boundary conditions that assumes zero for values outside

    (no parameters)

PLUGINS: 1d/splinekernel

bspline
    B-spline kernel creation , supported parameters are:

    d = 3; int in [0, 5]
        Spline degree.

omoms
    OMoms-spline kernel creation, supported parameters are:

    d = 3; int in [3, 3]
        Spline degree.

PLUGINS: 3dtransform/io

bbs Binary (non-portable) serialized IO of 3D transformations

    Recognized file extensions: .bbs

datapool
    Virtual IO to and from the internal data pool

    Recognized file extensions: .@

vista
    Vista storage of 3D transformations

    Recognized file extensions: .v, .v3dt

xml XML serialized IO of 3D transformations

    Recognized file extensions: .x3dt

PLUGINS: 3dvf/io

cvista
    obsolete 3d vector field io plugin for range compressend vista (saving not supported)

    Recognized file extensions: .CVF, .cvf

    Supported element types:
        floating point 32 bit

datapool
    Virtual IO to and from the internal data pool

    Recognized file extensions: .@

vista
    a 3d vector field io plugin for vista

    Recognized file extensions: .V, .VF, .v, .vf

    Supported element types:
        floating point 32 bit

vtk 3D Vector field in- and output (experimental). No attributes are stored or read.

    Recognized file extensions: .VTK, .VTKVF, .vtk, .vtkvf

    Supported element types:
        floating point 32 bit

EXAMPLE
Transform the input vector field field.vtk to the transformation trans.v3df and specify zero boundary conditions and b-splines of degree 2 for image interpolation.

mia-3dvf2transform -i field.vtk -o trans.v3df --imgkernel bspline:d=2 --imgboundary zero

AUTHOR(s)
Gert Wollny

COPYRIGHT
This software is Copyright (c) 1999-2015 Leipzig, Germany and Madrid, Spain. It comes with ABSOLUTELY NO WARRANTY and you may redistribute it under the terms of the GNU GENERAL PUBLIC LICENSE Version 3 (or later). For more information run the program with the option '--copyright'.